Bug 1052545 - (CVE-2017-12433) VUL-2: CVE-2017-12433: ImageMagick: Memory leak in ReadPESImage in coders/pes.c, which allows attackers to cause DoS
(CVE-2017-12433)
VUL-2: CVE-2017-12433: ImageMagick: Memory leak in ReadPESImage in coders/pes...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/189607/
CVSSv2:SUSE:CVE-2017-12433:5.0:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 10:07 UTC by Johannes Segitz
Modified: 2017-11-12 17:12 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Reproducer (953 bytes, application/octet-stream)
2017-08-07 10:07 UTC, Johannes Segitz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-08-07 10:07:30 UTC
Created attachment 735486 [details]
Reproducer

CVE-2017-12433

In ImageMagick 7.0.6-1, a memory leak vulnerability was found in the function
ReadPESImage in coders/pes.c, which allows attackers to cause a denial of
service, related to ResizeMagickMemory in memory.c.

valgrind identify memory_leak_in_ResizeMagickMemory
hangs for me on SLE 12

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-12433
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-12433.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12433
https://github.com/ImageMagick/ImageMagick/issues/548
Comment 1 Marcus Meissner 2017-09-27 13:39:46 UTC
leaks a fixed size small amount, (stitches). defer.
Comment 2 Petr Gajdos 2017-10-25 12:24:57 UTC
Had not do testing, the issue is obvious.

12/ImageMagick only.
Comment 3 Petr Gajdos 2017-10-25 12:28:16 UTC
I believe all fixed.
Comment 6 Swamp Workflow Management 2017-11-08 11:18:34 UTC
SUSE-SU-2017:2949-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1049379,1050135,1052249,1052253,1052545,1054924,1055219,1055430,1061873
CVE References: CVE-2016-7530,CVE-2017-11446,CVE-2017-11534,CVE-2017-12428,CVE-2017-12431,CVE-2017-12433,CVE-2017-13133,CVE-2017-13139,CVE-2017-15033
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.12.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.12.1
Comment 7 Andreas Stieger 2017-11-12 12:34:59 UTC
done
Comment 8 Swamp Workflow Management 2017-11-12 17:12:22 UTC
openSUSE-SU-2017:2999-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1049379,1050135,1052249,1052253,1052545,1054924,1055219,1055430,1061873
CVE References: CVE-2016-7530,CVE-2017-11446,CVE-2017-11534,CVE-2017-12428,CVE-2017-12431,CVE-2017-12433,CVE-2017-13133,CVE-2017-13139,CVE-2017-15033
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-37.1
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.9.1